/playstore-applications-delete-one¶
Summary¶
Source repository:
jef-systems/jef-playstore-backendSource SHA:
a5d1dcb536cf84806546ec9096ff83059a64754bSource run id:
26717043456Lambda function:
jef-playstore-applications-delete-oneHTTP method:
DELETEAPI path:
/playstore-applications-delete-oneEndpoint URL:
https://o927f1t8ra.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-applications-delete-onePayload mode:
json-body
Description¶
Function: jef-playstore-applications-delete-oneModule: jef-playstore-applicationsAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /playstore-applications-delete-oneTable: jef-playstore-applicationsPrimary Key: application_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
application\_id: 359f0c64-614c-493c-bf50-d7d64c30a262
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.application_id.type",
"value": "S"
},
{
"key": "root.attributes.application_id.required",
"value": "True"
},
{
"key": "root.attributes.application_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.application_id.regex",
"value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "application_id",
"value": "359f0c64-614c-493c-bf50-d7d64c30a262"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://o927f1t8ra.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-applications-delete-one" -H "Content-Type: application/json" --data-raw "{\"application_id\": \"359f0c64-614c-493c-bf50-d7d64c30a262\"}"
PowerShell curl¶
curl.exe -X DELETE "https://o927f1t8ra.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-applications-delete-one" -H "Content-Type: application/json" --data-raw '{"application_id": "359f0c64-614c-493c-bf50-d7d64c30a262"}'